Notification handlers

GET https://25url.com/api/notification-handlers/
curl --request GET \
--url 'https://25url.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
参数 详细信息 描述
search 可选 字符串 搜索字符串。
search_by 可选 字符串 您要搜索的字段是什么。允许的值为:name
is_enabled 可选 布尔值
type 可选 字符串 您要搜索的字段是什么。允许的值为:email, webhook, slack, discord, telegram, microsoft_teams
datetime_field 可选 字符串 允许的值:datetime, last_datetime
datetime_start 可选 字符串 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 可选 字符串 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 可选 字符串 按哪个字段对结果进行排序。允许的值为:notification_handler_id, datetime, last_datetime, name
order_type 可选 字符串 结果的排序顺序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。
search 可选 字符串 搜索字符串。
search_by 可选 字符串 您要搜索的字段是什么。允许的值为:name
is_enabled 可选 布尔值
type 可选 字符串 您要搜索的字段是什么。允许的值为:email, webhook, slack, discord, telegram, microsoft_teams
datetime_field 可选 字符串 允许的值:datetime, last_datetime
datetime_start 可选 字符串 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 可选 字符串 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 可选 字符串 按哪个字段对结果进行排序。允许的值为:notification_handler_id, datetime, last_datetime, name
order_type 可选 字符串 结果的排序顺序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。
page 可选 整数 您想要结果的页面编号。默认为1
results_per_page 可选 整数 每页显示多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-05-04 14:57:36",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://25url.com/api/notification-handlers?page=1",
        "last": "https://25url.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://25url.com/api/notification-handlers?page=1"
    }
}
GET https://25url.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-05-04 14:57:36",
    }
}
POST https://25url.com/api/notification-handlers
参数 详细信息 描述
name 必需 字符串 -
type 必需 字符串 允许的值:email, webhook, slack, discord, telegram, microsoft_teams
email 可选 字符串 可用时间:type = email notification_handlers.email
webhook 可选 字符串 可用时间:type = webhook notification_handlers.webhook
slack 可选 字符串 可用时间:type = slack notification_handlers.slack
discord 可选 字符串 可用时间:type = discord notification_handlers.discord
telegram 可选 字符串 可用时间:type = telegram notification_handlers.telegram
telegram_chat_id 可选 字符串 可用时间:type = telegram notification_handlers.telegram_chat_id
microsoft_teams 可选 字符串 可用时间:type = microsoft_teams notification_handlers.microsoft_teams
curl --request POST \
--url 'https://25url.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://25url.com/api/notification-handlers/{notification_handler_id}
参数 详细信息 描述
name 可选 字符串 -
type 可选 字符串 允许的值:email, webhook, slack, discord, telegram, microsoft_teams
email 可选 字符串 可用时间:type = email notification_handlers.email
webhook 可选 字符串 可用时间:type = webhook notification_handlers.webhook
slack 可选 字符串 可用时间:type = slack notification_handlers.slack
discord 可选 字符串 可用时间:type = discord notification_handlers.discord
telegram 可选 字符串 可用时间:type = telegram notification_handlers.telegram
telegram_chat_id 可选 字符串 可用时间:type = telegram notification_handlers.telegram_chat_id
microsoft_teams 可选 字符串 可用时间:type = microsoft_teams notification_handlers.microsoft_teams
is_enabled 可选 布尔值 -
curl --request POST \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://25url.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \